import { BlueprintEntity, Renderer, RenderPassType } from "../../models";
import { SpriteData } from "../../models";
import { EntitySprite } from "../../models";
import { EntityGridView } from "../Blueprint";
export default class GenericRenderer implements Renderer {
    renderPass(entity: BlueprintEntity, pass: RenderPassType, highRes: boolean | undefined, animationFrame: number | undefined, grid: EntityGridView): Promise<EntitySprite>;
    getKey(entity: BlueprintEntity, pass: RenderPassType, highRes: boolean, animationFrame: number, grid: EntityGridView): string;
    protected loadSprite(sprite: SpriteData, entity: BlueprintEntity, pass: RenderPassType, direction: string | number | undefined, highRes: boolean | undefined, animationFrame: number | undefined, grid: EntityGridView, postProcess?: (canvas: any, ctx: CanvasRenderingContext2D) => any, row?: number, column?: number): Promise<EntitySprite>;
}
//# sourceMappingURL=generic.renderer.d.ts.map