import { BlueprintEntity, EntitySprite, RenderPassType, Vector } from "../../models";
import { EntityGridView } from "../Blueprint";
import GenericRenderer from "./generic.renderer";
export default class TransportBeltRenderer extends GenericRenderer {
    renderPass(entity: BlueprintEntity, pass: RenderPassType, highRes: boolean | undefined, animationFrame: number | undefined, grid: EntityGridView): Promise<EntitySprite>;
    getKey(entity: BlueprintEntity, pass: RenderPassType, highRes: boolean, animationFrame: number, grid: EntityGridView): string;
    getAround(direction: number, pos: Vector, grid: EntityGridView): any;
}
//# sourceMappingURL=transport-belt.renderer.d.ts.map